Subject: bug#50895: 28.0.50; show-paren-mode is distracting in some modes

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 01 Oct 2021 09:30:39 +0200

Dmitry Gutov <[email-masked]> writes:

> Anyway, this is not a strong objection, and I might be convinced by a
> particular implementation. We could even adopt this practice in more
> places, if it really makes sense to people.
>
> At the moment, though, I'm more in favor of adding a *-global-modes
> variable, and then, having collected feedback, changing its default in
> some future version.

Yeah, I think we could do with some experimentation here (on the trunk,
not in Emacs 28), because it's not clear what range of options we have
here (not breaking anybody's setup + introduce a more expressive
selection mechanism).  *-global-modes is the mechanism that sounds most
promising now.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no